Subject: Re: bug#55933: Fails download of quix 1.3 virtual machine

From: Maxim Cournoyer <[email-masked]>
Date: Sun, 16 Mar 2025 21:47:18 +0900

Hi,

Tobias Geerinckx-Rice <[email-masked]> writes:

> Thomas,
>
> Thanks for the report.  I'm CC'ing <[email-masked]> as documented here[0]
> to get their opinion.
>
> Thomas C Kosvic 写道：
>> [0] does not download a file, it tries to open the file in
>> thevrowser.
>
> This is not universal: it works fine in Firefox 100.
>
> However, there does seem to be an inconsistency with the GNU FTP
> server:
>
> ~ λ curl -LI
> https://ftp.gnu.org/gnu/guix/guix-system-install-1.3.0.x86_64-linux.iso
> |
>    grep Content-Type
> X-Content-Type-Options: nosniff
> Content-Type: application/x-iso9660-image
>
> ~ λ curl -LI
> https://ftp.gnu.org/gnu/guix/guix-system-vm-image-1.3.0.x86_64-linux.qcow2
> |
>    grep Content-Type
> X-Content-Type-Options: nosniff
>
> The QCOW2 response is missing a Content-Type, whilst asking browsers
> not to sniff it for themselves.  Apparently your browser is making an
> exceptionally bad call.

Thanks for explaining.  I just tried; from the browsers I've tried it with
(epiphany, librewolf, icecat, ungoogled-chromium), only chromium
appeared affected.

To change the Content-Type from the server, we'd have to edit the web
server configuration used to serve ftp.gnu.org, right?

-- 
Thanks,
Maxim